%% Clear all and open figures ;
close all; clc;

% Create the GUI window used in the experiment by particpant
hfig = figure('units','normalized','outerposition',[0 0 0.5 1], ...
    'WindowStyle', 'modal',...
    'menubar', 'none',...
    'numbertitle','off');

% Create the GUI window used in the experiment by experimenter
hTrackFig = figure('units','normalized','outerposition',[0.5 0 0.5 1], ...
    'menubar', 'none',...
    'numbertitle','off');



%% Experimental parameters are specified here
hGui = PsychoModule(...
    'SubjectName','NH',...
    'Expt','800_test',...
    'SaveFolder','C:\Users\MQ20157400\Desktop\',...
    'ShowThres',0,...                                                       %toggle threshold window at end of run (1 = active, 0 = absent)
    'Repeats',1,...
    'Shuffle',0,...
    'StepSizeInitial',3,...
    'StepSizeFinal',1,...
    'StepNumInitial',2,...
    'StepNumFinal',5,...
    'NumCorrectForStep',3,...
    'NumIncorrectForStep',1,...
    'IncorrectAtMaxStepToStop',4,...
    'HContainer', hfig,...
    'HTrackContainer', hTrackFig,...
    'ConOverwrite',[],... % training = 1 3 5 7
    'Fs',44100 ...
    );